﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Core.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;


    [Serialized]
    [Solid, Wall, Diggable]
    public partial class CrushedBasaltBlock :
        Block            
        , IRepresentsItem   
    {
        public Type RepresentedItemType { get { return typeof(CrushedBasaltItem); } }  
    }

    [Serialized]
    [LocDisplayName("Crushed Basalt")]
[MaxStackSize(1000)]
[Weight(1)]
    [StartsDiscovered]                                      
    [Ecopedia("Blocks", "Processed Rock", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                    
    [Currency] 
    [Tag("CrushedRock", 1)]                         
    [RequiresTool(typeof(ShovelItem))] 
    public partial class CrushedBasaltItem :
    BlockItem<CrushedBasaltBlock>
    {
        public override LocString DisplayNamePlural { get { return Localizer.DoStr("Crushed Basalt"); } } 
        public override LocString DisplayDescription { get { return Localizer.DoStr("Basalt rocks that have been crushed into a fine gravel."); } }

        public override bool CanStickToWalls { get { return false; } }  
    }

}

