﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Core.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresSkill(typeof(MiningSkill), 1)]      
    public partial class CrushedLimestoneRecipe :
        RecipeFamily
    {
        public CrushedLimestoneRecipe()
        {
            this.Initialize(Localizer.DoStr("Crushed Limestone"), typeof(CrushedLimestoneRecipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "CrushedLimestone",
                    Localizer.DoStr("Crushed Limestone"),
                    new IngredientElement[]
                    {
                    new IngredientElement(typeof(LimestoneItem), 12, true),  
                    },
                    new CraftingElement[]
                    {
                    new CraftingElement<CrushedLimestoneItem>(3),                          
                    }
                )
            };
            this.LaborInCalories = CreateLaborInCaloriesValue(100, typeof(MiningSkill), typeof(CrushedLimestoneRecipe), this.UILink()); 
            this.ExperienceOnCraft = 0.5f;  
            this.CraftMinutes = CreateCraftTimeValue(typeof(CrushedLimestoneRecipe), this.UILink(), 1.5f, typeof(MiningSkill));     
            this.Initialize(Localizer.DoStr("Crushed Limestone"), typeof(CrushedLimestoneRecipe));

            CraftingComponent.AddRecipe(typeof(ArrastraObject), this);

        }
    }

    [Serialized]
    [Solid, Wall, Diggable]
    [RequiresSkill(typeof(MiningSkill), 1)]      
    public partial class CrushedLimestoneBlock :
        Block            
        , IRepresentsItem   
    {
        public Type RepresentedItemType { get { return typeof(CrushedLimestoneItem); } }  
    }

    [Serialized]
    [LocDisplayName("Crushed Limestone")]
[MaxStackSize(1000)]
[Weight(1)]
    [StartsDiscovered]                                      
    [Ecopedia("Blocks", "Processed Rock", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                    
    [Currency] 
    [Tag("CrushedRock", 1)]                         
    [RequiresTool(typeof(ShovelItem))] 
    public partial class CrushedLimestoneItem :
    BlockItem<CrushedLimestoneBlock>
    {
        public override LocString DisplayNamePlural { get { return Localizer.DoStr("Crushed Limestone"); } } 
        public override LocString DisplayDescription { get { return Localizer.DoStr("Limestone rocks that have been crushed into a fine gravel."); } }

        public override bool CanStickToWalls { get { return false; } }  
    }

}

