﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Core.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresSkill(typeof(MasonrySkill), 1)]      
    public partial class ReinforcedConcreteRecipe :
        RecipeFamily
    {
        public ReinforcedConcreteRecipe()
        {
            this.Initialize(Localizer.DoStr("Reinforced Concrete"), typeof(ReinforcedConcreteRecipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "ReinforcedConcrete",
                    Localizer.DoStr("Reinforced Concrete"),
                    new IngredientElement[]
                    {
                    new IngredientElement(typeof(CementItem), 1, typeof(MasonrySkill), typeof(MasonryLavishResourcesTalent)), 
                    new IngredientElement(typeof(RebarItem), 2, typeof(MasonrySkill), typeof(MasonryLavishResourcesTalent)), 
                    new IngredientElement(typeof(SandItem), 2, typeof(MasonrySkill), typeof(MasonryLavishResourcesTalent)),    
                    new IngredientElement("CrushedRock", 5, typeof(MasonrySkill), typeof(MasonryLavishResourcesTalent)),    
                    },
                    new CraftingElement[]
                    {
                    new CraftingElement<ReinforcedConcreteItem>(4),                          
                    }
                )
            };
            this.LaborInCalories = CreateLaborInCaloriesValue(40, typeof(MasonrySkill), typeof(ReinforcedConcreteRecipe), this.UILink()); 
            this.ExperienceOnCraft = 1;  
            this.CraftMinutes = CreateCraftTimeValue(typeof(ReinforcedConcreteRecipe), this.UILink(), 4, typeof(MasonrySkill), typeof(MasonryFocusedSpeedTalent), typeof(MasonryParallelSpeedTalent));     
            this.Initialize(Localizer.DoStr("Reinforced Concrete"), typeof(ReinforcedConcreteRecipe));

            CraftingComponent.AddRecipe(typeof(CementKilnObject), this);

        }
    }

    [Serialized]
    [Solid, Wall, Constructed,BuildRoomMaterialOption]
    [BlockTier(3)]                                          
    [RequiresSkill(typeof(MasonrySkill), 1)]      
    public partial class ReinforcedConcreteBlock :
        Block            
        , IRepresentsItem   
    {
        public Type RepresentedItemType { get { return typeof(ReinforcedConcreteItem); } }  
    }

    [Serialized]
    [LocDisplayName("Reinforced Concrete")]
[MaxStackSize(1000)]
[Weight(1)]
    [Ecopedia("Blocks", "Building Materials", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                    
    [Currency] 
    [Tag("Concrete", 1)]
    [Tag("Constructable", 1)]                         
    [Tier(3)]                                      
    public partial class ReinforcedConcreteItem :
    BlockItem<ReinforcedConcreteBlock>
    {
        public override LocString DisplayNamePlural { get { return Localizer.DoStr("Reinforced Concrete"); } } 
        public override LocString DisplayDescription { get { return Localizer.DoStr("A study construction material poured around a latice of rebar."); } }

        public override bool CanStickToWalls { get { return false; } }  

        private static Type[] blockTypes = new Type[] {
        typeof(ReinforcedConcreteStacked1Block),
        typeof(ReinforcedConcreteStacked2Block),
        typeof(ReinforcedConcreteStacked3Block),
            typeof(ReinforcedConcreteStacked4Block)
        };
        public override Type[] BlockTypes { get { return blockTypes; } }
    }

    [Serialized, Solid] public class ReinforcedConcreteStacked1Block : PickupableBlock { }
    [Serialized, Solid] public class ReinforcedConcreteStacked2Block : PickupableBlock { }
    [Serialized, Solid] public class ReinforcedConcreteStacked3Block : PickupableBlock { }
    [Serialized, Solid,Wall] public class ReinforcedConcreteStacked4Block : PickupableBlock { } //Only a wall if it's all 4 ReinforcedConcrete
}

