﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System;
    using System.Collections.Generic;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using System.ComponentModel;

    [RequiresSkill(typeof(FertilizersSkill), 5)]  
    public partial class CompostFertilizerRecipe : RecipeFamily
    {
        public CompostFertilizerRecipe()
        {
            this.Initialize(Localizer.DoStr("Compost Fertilizer"), typeof(CompostFertilizerRecipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "CompostFertilizer",
                    Localizer.DoStr("Compost Fertilizer"),
                    new IngredientElement[]
                    {
              new IngredientElement(typeof(CompostItem), 1, typeof(FertilizersSkill), typeof(FertilizersLavishResourcesTalent)), 
              new IngredientElement(typeof(FiberFillerItem), 1, typeof(FertilizersSkill), typeof(FertilizersLavishResourcesTalent)),   
                    },
                new CraftingElement<CompostFertilizerItem>()
                )
            };
            this.LaborInCalories = CreateLaborInCaloriesValue(25, typeof(FertilizersSkill), typeof(CompostFertilizerRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(CompostFertilizerRecipe), this.UILink(), 0.3f, typeof(FertilizersSkill), typeof(FertilizersFocusedSpeedTalent), typeof(FertilizersParallelSpeedTalent));    
            this.Initialize(Localizer.DoStr("Compost Fertilizer"), typeof(CompostFertilizerRecipe));
            CraftingComponent.AddRecipe(typeof(FarmersTableObject),this);
        }
    }
    
    [Serialized]
    [LocDisplayName("Compost Fertilizer")]
[MaxStackSize(1000)]
[Weight(1)]
    [Category("Tool")]
    public partial class CompostFertilizerItem : FertilizerItem<CompostFertilizerItem>
    {
        public override LocString DisplayDescription { get { return Localizer.DoStr("Compost fertilizer is a classic, low effort fertilizer."); } }

        static CompostFertilizerItem()
        {
            nutrients = new List<NutrientElement>();
            nutrients.Add(new NutrientElement("Nitrogen", 2));
            nutrients.Add(new NutrientElement("Phosphorus", 1));
            nutrients.Add(new NutrientElement("Potassium", 3.7f));
        }
    }
}

