﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Linq;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.EcopediaRoot;

    [Serialized]
    [LocDisplayName("Acorn Powder")]
[MaxStackSize(1000)]
[Weight(1)]
    [Ecopedia("Food", "Ingredients", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class AcornPowderItem : FoodItem
    {
        public override LocString DisplayNamePlural             { get { return Localizer.DoStr("Acorn Powder"); } } 
        public override LocString DisplayDescription            { get { return Localizer.DoStr("Powdered acorn."); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 3, Fat = 2, Protein = 5, Vitamins = 5};
        public override float Calories                          { get { return 40; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(MillingSkill), 3)]    
    public partial class AcornPowderRecipe :
        RecipeFamily
    {
        public AcornPowderRecipe()
        {
            var product = new Recipe(
                "AcornPowder",
                Localizer.DoStr("Acorn Powder"),
                new IngredientElement[]
                {
            new IngredientElement(typeof(AcornItem), 4, typeof(MillingSkill), typeof(MillingLavishResourcesTalent)),   
                },
                    new CraftingElement<AcornPowderItem>(1)  
                
            );
            this.Initialize(Localizer.DoStr("Acorn Powder"), typeof(AcornPowderRecipe));
            this.Recipes = new List<Recipe> { product };
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(MillingSkill), typeof(AcornPowderRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(AcornPowderRecipe), this.UILink(), 2, typeof(MillingSkill), typeof(MillingFocusedSpeedTalent), typeof(MillingParallelSpeedTalent));    
            this.Initialize(Localizer.DoStr("Acorn Powder"), typeof(AcornPowderRecipe));
            CraftingComponent.AddRecipe(typeof(MillObject), this);
        }
    }
}

