﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Linq;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.EcopediaRoot;

    [Serialized]
    [LocDisplayName("Baked Corn")]
[MaxStackSize(1000)]
[Weight(1)]
    [Ecopedia("Food", "Baking", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    [Tag("BakedVegetable", 1)]
    [Tag("BakedFood", 1)]
    public partial class BakedCornItem : FoodItem
    {
        public override LocString DisplayNamePlural             { get { return Localizer.DoStr("Baked Corn"); } } 
        public override LocString DisplayDescription            { get { return Localizer.DoStr("Baked corn that retains more nutrients than more simple methods of cooking."); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 6, Fat = 6, Protein = 7, Vitamins = 9};
        public override float Calories                          { get { return 560; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(BakingSkill), 1)]    
    public partial class BakedCornRecipe :
        RecipeFamily
    {
        public BakedCornRecipe()
        {
            var product = new Recipe(
                "BakedCorn",
                Localizer.DoStr("Baked Corn"),
                new IngredientElement[]
                {
            new IngredientElement(typeof(CornItem), 4, typeof(BakingSkill), typeof(BakingLavishResourcesTalent)),   
                },
                    new CraftingElement<BakedCornItem>(1)  
                
            );
            this.Initialize(Localizer.DoStr("Baked Corn"), typeof(BakedCornRecipe));
            this.Recipes = new List<Recipe> { product };
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(BakingSkill), typeof(BakedCornRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(BakedCornRecipe), this.UILink(), 2, typeof(BakingSkill), typeof(BakingFocusedSpeedTalent), typeof(BakingParallelSpeedTalent));    
            this.Initialize(Localizer.DoStr("Baked Corn"), typeof(BakedCornRecipe));
            CraftingComponent.AddRecipe(typeof(BakeryOvenObject), this);
        }
    }
}

