﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Linq;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.EcopediaRoot;

    [Serialized]
    [LocDisplayName("Baked Roast")]
[MaxStackSize(1000)]
[Weight(1)]
    [Ecopedia("Food", "Baking", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    [Tag("BakedFood", 1)]
    public partial class BakedRoastItem : FoodItem
    {
        public override LocString DisplayDescription            { get { return Localizer.DoStr("A trussed roast baked to perfection."); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 4, Fat = 10, Protein = 13, Vitamins = 7};
        public override float Calories                          { get { return 1000; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(BakingSkill), 2)]    
    public partial class BakedRoastRecipe :
        RecipeFamily
    {
        public BakedRoastRecipe()
        {
            var product = new Recipe(
                "BakedRoast",
                Localizer.DoStr("Baked Roast"),
                new IngredientElement[]
                {
            new IngredientElement(typeof(RawRoastItem), 1, typeof(BakingSkill), typeof(BakingLavishResourcesTalent)),   
                },
                    new CraftingElement<BakedRoastItem>(1),  
                    new CraftingElement<TallowItem>(1f)  
                
            );
            this.Initialize(Localizer.DoStr("Baked Roast"), typeof(BakedRoastRecipe));
            this.Recipes = new List<Recipe> { product };
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(BakingSkill), typeof(BakedRoastRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(BakedRoastRecipe), this.UILink(), 2, typeof(BakingSkill), typeof(BakingFocusedSpeedTalent), typeof(BakingParallelSpeedTalent));    
            this.Initialize(Localizer.DoStr("Baked Roast"), typeof(BakedRoastRecipe));
            CraftingComponent.AddRecipe(typeof(BakeryOvenObject), this);
        }
    }
}

