﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Linq;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.EcopediaRoot;

    [Serialized]
    [LocDisplayName("Bean Paste")]
[MaxStackSize(1000)]
[Weight(1)]
    [Ecopedia("Food", "Ingredients", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class BeanPasteItem : FoodItem
    {
        public override LocString DisplayNamePlural             { get { return Localizer.DoStr("Bean Paste"); } } 
        public override LocString DisplayDescription            { get { return Localizer.DoStr("Smashed beans can work as a thickener or flavour enhancer."); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 3, Fat = 7, Protein = 5, Vitamins = 0};
        public override float Calories                          { get { return 40; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(MillingSkill), 2)]    
    public partial class BeanPasteRecipe :
        RecipeFamily
    {
        public BeanPasteRecipe()
        {
            var product = new Recipe(
                "BeanPaste",
                Localizer.DoStr("Bean Paste"),
                new IngredientElement[]
                {
            new IngredientElement(typeof(BeansItem), 6, typeof(MillingSkill), typeof(MillingLavishResourcesTalent)),   
                },
                    new CraftingElement<BeanPasteItem>(1)  
                
            );
            this.Initialize(Localizer.DoStr("Bean Paste"), typeof(BeanPasteRecipe));
            this.Recipes = new List<Recipe> { product };
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(MillingSkill), typeof(BeanPasteRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(BeanPasteRecipe), this.UILink(), 2, typeof(MillingSkill), typeof(MillingFocusedSpeedTalent), typeof(MillingParallelSpeedTalent));    
            this.Initialize(Localizer.DoStr("Bean Paste"), typeof(BeanPasteRecipe));
            CraftingComponent.AddRecipe(typeof(MillObject), this);
        }
    }
}

