﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Linq;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.EcopediaRoot;

    [Serialized]
    [LocDisplayName("Boiled Sausage")]
[MaxStackSize(1000)]
[Weight(1)]
    [Ecopedia("Food", "Cooking", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class BoiledSausageItem : FoodItem
    {
        public override LocString DisplayDescription            { get { return Localizer.DoStr("Boiled sausages might not be as pretty as grilled ones, but they're still tasty."); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 0, Fat = 22, Protein = 27, Vitamins = 0};
        public override float Calories                          { get { return 600; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(AdvancedCookingSkill), 2)]    
    public partial class BoiledSausageRecipe :
        RecipeFamily
    {
        public BoiledSausageRecipe()
        {
            var product = new Recipe(
                "BoiledSausage",
                Localizer.DoStr("Boiled Sausage"),
                new IngredientElement[]
                {
            new IngredientElement(typeof(RawSausageItem), 4, typeof(AdvancedCookingSkill), typeof(AdvancedCookingLavishResourcesTalent)), 
            new IngredientElement(typeof(MeatStockItem), 4, typeof(AdvancedCookingSkill), typeof(AdvancedCookingLavishResourcesTalent)),   
                },
                    new CraftingElement<BoiledSausageItem>(1)  
                
            );
            this.Initialize(Localizer.DoStr("Boiled Sausage"), typeof(BoiledSausageRecipe));
            this.Recipes = new List<Recipe> { product };
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(AdvancedCookingSkill), typeof(BoiledSausageRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(BoiledSausageRecipe), this.UILink(), 4, typeof(AdvancedCookingSkill), typeof(AdvancedCookingFocusedSpeedTalent), typeof(AdvancedCookingParallelSpeedTalent));    
            this.Initialize(Localizer.DoStr("Boiled Sausage"), typeof(BoiledSausageRecipe));
            CraftingComponent.AddRecipe(typeof(StoveObject), this);
        }
    }
}

