﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Linq;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.EcopediaRoot;

    [Serialized]
    [LocDisplayName("Camas Bread")]
[MaxStackSize(1000)]
[Weight(1)]
    [Ecopedia("Food", "Baking", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    [Tag("Bread", 1)]
    public partial class CamasBreadItem : FoodItem
    {
        public override LocString DisplayNamePlural             { get { return Localizer.DoStr("Camas Bread"); } } 
        public override LocString DisplayDescription            { get { return Localizer.DoStr("A bread with a camas twist for a bit of flavor and fun. "); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 15, Fat = 13, Protein = 5, Vitamins = 9};
        public override float Calories                          { get { return 800; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(AdvancedBakingSkill), 1)]    
    public partial class CamasBreadRecipe :
        RecipeFamily
    {
        public CamasBreadRecipe()
        {
            var product = new Recipe(
                "CamasBread",
                Localizer.DoStr("Camas Bread"),
                new IngredientElement[]
                {
            new IngredientElement(typeof(CamasPasteItem), 1, typeof(AdvancedBakingSkill), typeof(AdvancedBakingLavishResourcesTalent)), 
            new IngredientElement(typeof(LeavenedDoughItem), 1, typeof(AdvancedBakingSkill), typeof(AdvancedBakingLavishResourcesTalent)),   
                },
                    new CraftingElement<CamasBreadItem>(1)  
                
            );
            this.Initialize(Localizer.DoStr("Camas Bread"), typeof(CamasBreadRecipe));
            this.Recipes = new List<Recipe> { product };
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(AdvancedBakingSkill), typeof(CamasBreadRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(CamasBreadRecipe), this.UILink(), 3, typeof(AdvancedBakingSkill), typeof(AdvancedBakingFocusedSpeedTalent), typeof(AdvancedBakingParallelSpeedTalent));    
            this.Initialize(Localizer.DoStr("Camas Bread"), typeof(CamasBreadRecipe));
            CraftingComponent.AddRecipe(typeof(BakeryOvenObject), this);
        }
    }
}

