﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Linq;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.EcopediaRoot;

    [Serialized]
    [LocDisplayName("Camas Bulb Bake")]
[MaxStackSize(1000)]
[Weight(1)]
    [Ecopedia("Food", "Baking", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    [Tag("BakedVegetable", 1)]
    [Tag("BakedFood", 1)]
    public partial class CamasBulbBakeItem : FoodItem
    {
        public override LocString DisplayDescription            { get { return Localizer.DoStr("A spread of evenly baked camas bulbs; soft in the middle, golden brown on the outside."); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 12, Fat = 5, Protein = 7, Vitamins = 4};
        public override float Calories                          { get { return 560; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(BakingSkill), 1)]    
    public partial class CamasBulbBakeRecipe :
        RecipeFamily
    {
        public CamasBulbBakeRecipe()
        {
            var product = new Recipe(
                "CamasBulbBake",
                Localizer.DoStr("Camas Bulb Bake"),
                new IngredientElement[]
                {
            new IngredientElement(typeof(CamasBulbItem), 4, typeof(BakingSkill), typeof(BakingLavishResourcesTalent)),   
                },
                    new CraftingElement<CamasBulbBakeItem>(1)  
                
            );
            this.Initialize(Localizer.DoStr("Camas Bulb Bake"), typeof(CamasBulbBakeRecipe));
            this.Recipes = new List<Recipe> { product };
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(BakingSkill), typeof(CamasBulbBakeRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(CamasBulbBakeRecipe), this.UILink(), 2, typeof(BakingSkill), typeof(BakingFocusedSpeedTalent), typeof(BakingParallelSpeedTalent));    
            this.Initialize(Localizer.DoStr("Camas Bulb Bake"), typeof(CamasBulbBakeRecipe));
            CraftingComponent.AddRecipe(typeof(BakeryOvenObject), this);
        }
    }
}

