﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Linq;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.EcopediaRoot;

    [Serialized]
    [LocDisplayName("Charred Beans")]
[MaxStackSize(1000)]
[Weight(1)]
    [Ecopedia("Food", "Charred Food", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    [Tag("CharredVegetable", 1)]
    public partial class CharredBeansItem : FoodItem
    {
        public override LocString DisplayDescription            { get { return Localizer.DoStr("A mushy mixture that can serve somewhat as a replacement protein in a meatless diet."); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 1, Fat = 3, Protein = 8, Vitamins = 0};
        public override float Calories                          { get { return 350; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(CampfireCookingSkill), 0)]    
    public partial class CharredBeansRecipe :
        RecipeFamily
    {
        public CharredBeansRecipe()
        {
            var product = new Recipe(
                "CharredBeans",
                Localizer.DoStr("Charred Beans"),
                new IngredientElement[]
                {
            new IngredientElement(typeof(BeansItem), 1, true),  
                },
                    new CraftingElement<CharredBeansItem>(1)  
                
            );
            this.Initialize(Localizer.DoStr("Charred Beans"), typeof(CharredBeansRecipe));
            this.Recipes = new List<Recipe> { product };
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(CampfireCookingSkill), typeof(CharredBeansRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(CharredBeansRecipe), this.UILink(), 0.5f, typeof(CampfireCookingSkill), typeof(CampfireCookingFocusedSpeedTalent), typeof(CampfireCookingParallelSpeedTalent));    
            this.Initialize(Localizer.DoStr("Charred Beans"), typeof(CharredBeansRecipe));
            CraftingComponent.AddRecipe(typeof(CampfireObject), this);
        }
    }
}

