﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Linq;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.EcopediaRoot;

    [Serialized]
    [LocDisplayName("Charred Heart Of Palm")]
[MaxStackSize(1000)]
[Weight(1)]
    [Ecopedia("Food", "Charred Food", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    [Tag("CharredVegetable", 1)]
    public partial class CharredHeartOfPalmItem : FoodItem
    {
        public override LocString DisplayNamePlural             { get { return Localizer.DoStr("Charred Hearts Of Palm"); } } 
        public override LocString DisplayDescription            { get { return Localizer.DoStr("Heart of palm collected fom fallen pineapple trees that have been charred over a campfire."); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 6, Fat = 1, Protein = 3, Vitamins = 2};
        public override float Calories                          { get { return 210; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(CampfireCookingSkill), 0)]    
    public partial class CharredHeartOfPalmRecipe :
        RecipeFamily
    {
        public CharredHeartOfPalmRecipe()
        {
            var product = new Recipe(
                "CharredHeartOfPalm",
                Localizer.DoStr("Charred Heart Of Palm"),
                new IngredientElement[]
                {
            new IngredientElement(typeof(HeartOfPalmItem), 1, true),  
                },
                    new CraftingElement<CharredHeartOfPalmItem>(1)  
                
            );
            this.Initialize(Localizer.DoStr("Charred Heart Of Palm"), typeof(CharredHeartOfPalmRecipe));
            this.Recipes = new List<Recipe> { product };
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(CampfireCookingSkill), typeof(CharredHeartOfPalmRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(CharredHeartOfPalmRecipe), this.UILink(), 0.5f, typeof(CampfireCookingSkill), typeof(CampfireCookingFocusedSpeedTalent), typeof(CampfireCookingParallelSpeedTalent));    
            this.Initialize(Localizer.DoStr("Charred Heart Of Palm"), typeof(CharredHeartOfPalmRecipe));
            CraftingComponent.AddRecipe(typeof(CampfireObject), this);
        }
    }
}

