﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Linq;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.EcopediaRoot;

    [Serialized]
    [LocDisplayName("Huckleberry Extract")]
[MaxStackSize(1000)]
[Weight(1)]
    [Ecopedia("Food", "Ingredients", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class HuckleberryExtractItem : FoodItem
    {
        public override LocString DisplayDescription            { get { return Localizer.DoStr("A concentrated blast of huckleberry goodness."); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 0, Fat = 0, Protein = 0, Vitamins = 15};
        public override float Calories                          { get { return 60; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(AdvancedCookingSkill), 1)]    
    public partial class HuckleberryExtractRecipe :
        RecipeFamily
    {
        public HuckleberryExtractRecipe()
        {
            var product = new Recipe(
                "HuckleberryExtract",
                Localizer.DoStr("Huckleberry Extract"),
                new IngredientElement[]
                {
            new IngredientElement(typeof(HuckleberriesItem), 20, typeof(AdvancedCookingSkill), typeof(AdvancedCookingLavishResourcesTalent)),   
                },
                    new CraftingElement<HuckleberryExtractItem>(1)  
                
            );
            this.Initialize(Localizer.DoStr("Huckleberry Extract"), typeof(HuckleberryExtractRecipe));
            this.Recipes = new List<Recipe> { product };
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(AdvancedCookingSkill), typeof(HuckleberryExtractRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(HuckleberryExtractRecipe), this.UILink(), 2, typeof(AdvancedCookingSkill), typeof(AdvancedCookingFocusedSpeedTalent), typeof(AdvancedCookingParallelSpeedTalent));    
            this.Initialize(Localizer.DoStr("Huckleberry Extract"), typeof(HuckleberryExtractRecipe));
            CraftingComponent.AddRecipe(typeof(KitchenObject), this);
        }
    }
}

