﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Linq;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.EcopediaRoot;

    [Serialized]
    [LocDisplayName("Meaty Stew")]
[MaxStackSize(1000)]
[Weight(1)]
    [Ecopedia("Food", "Campfire", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class MeatyStewItem : FoodItem
    {
        public override LocString DisplayDescription            { get { return Localizer.DoStr("A thick meaty stew. A great source of protein."); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 4, Fat = 10, Protein = 13, Vitamins = 1};
        public override float Calories                          { get { return 1100; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(CampfireCookingSkill), 3)]    
    public partial class MeatyStewRecipe :
        RecipeFamily
    {
        public MeatyStewRecipe()
        {
            var product = new Recipe(
                "MeatyStew",
                Localizer.DoStr("Meaty Stew"),
                new IngredientElement[]
                {
            new IngredientElement(typeof(CharredMeatItem), 2, typeof(CampfireCookingSkill), typeof(CampfireCookingLavishResourcesTalent)),   
            new IngredientElement("Fat", 1, typeof(CampfireCookingSkill), typeof(CampfireCookingLavishResourcesTalent)),   
                },
                    new CraftingElement<MeatyStewItem>(1)  
                
            );
            this.Initialize(Localizer.DoStr("Meaty Stew"), typeof(MeatyStewRecipe));
            this.Recipes = new List<Recipe> { product };
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(CampfireCookingSkill), typeof(MeatyStewRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(MeatyStewRecipe), this.UILink(), 1, typeof(CampfireCookingSkill), typeof(CampfireCookingFocusedSpeedTalent), typeof(CampfireCookingParallelSpeedTalent));    
            this.Initialize(Localizer.DoStr("Meaty Stew"), typeof(MeatyStewRecipe));
            CraftingComponent.AddRecipe(typeof(CampfireObject), this);
        }
    }
}

