﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Linq;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.EcopediaRoot;

    [Serialized]
    [LocDisplayName("Pirozhok")]
[MaxStackSize(1000)]
[Weight(1)]
    [Ecopedia("Food", "Baking", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class PirozhokItem : FoodItem
    {
        public override LocString DisplayNamePlural             { get { return Localizer.DoStr("Pirozhki"); } } 
        public override LocString DisplayDescription            { get { return Localizer.DoStr("A baked bun filled with tasty meat and mushrooms."); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 14, Fat = 10, Protein = 19, Vitamins = 4};
        public override float Calories                          { get { return 850; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(AdvancedBakingSkill), 2)]    
    public partial class PirozhokRecipe :
        RecipeFamily
    {
        public PirozhokRecipe()
        {
            var product = new Recipe(
                "Pirozhok",
                Localizer.DoStr("Pirozhok"),
                new IngredientElement[]
                {
            new IngredientElement(typeof(PastryDoughItem), 1, typeof(AdvancedBakingSkill), typeof(AdvancedBakingLavishResourcesTalent)), 
            new IngredientElement(typeof(PreparedMeatItem), 2, typeof(AdvancedBakingSkill), typeof(AdvancedBakingLavishResourcesTalent)),   
            new IngredientElement("Fungus", 2, typeof(AdvancedBakingSkill), typeof(AdvancedBakingLavishResourcesTalent)),   
                },
                    new CraftingElement<PirozhokItem>(1)  
                
            );
            this.Initialize(Localizer.DoStr("Pirozhok"), typeof(PirozhokRecipe));
            this.Recipes = new List<Recipe> { product };
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(AdvancedBakingSkill), typeof(PirozhokRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(PirozhokRecipe), this.UILink(), 3, typeof(AdvancedBakingSkill), typeof(AdvancedBakingFocusedSpeedTalent), typeof(AdvancedBakingParallelSpeedTalent));    
            this.Initialize(Localizer.DoStr("Pirozhok"), typeof(PirozhokRecipe));
            CraftingComponent.AddRecipe(typeof(BakeryOvenObject), this);
        }
    }
}

