﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Linq;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.EcopediaRoot;

    [Serialized]
    [LocDisplayName("Vegetable Soup")]
[MaxStackSize(1000)]
[Weight(1)]
    [Ecopedia("Food", "Cooking", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class VegetableSoupItem : FoodItem
    {
        public override LocString DisplayDescription            { get { return Localizer.DoStr("Who knew plants in plant broth could be so tasty?"); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 12, Fat = 7, Protein = 4, Vitamins = 19};
        public override float Calories                          { get { return 1200; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(CookingSkill), 2)]    
    public partial class VegetableSoupRecipe :
        RecipeFamily
    {
        public VegetableSoupRecipe()
        {
            var product = new Recipe(
                "VegetableSoup",
                Localizer.DoStr("Vegetable Soup"),
                new IngredientElement[]
                {
            new IngredientElement(typeof(VegetableStockItem), 1, typeof(CookingSkill), typeof(CookingLavishResourcesTalent)), 
            new IngredientElement(typeof(VegetableMedleyItem), 1, typeof(CookingSkill), typeof(CookingLavishResourcesTalent)),   
                },
                    new CraftingElement<VegetableSoupItem>(1)  
                
            );
            this.Initialize(Localizer.DoStr("Vegetable Soup"), typeof(VegetableSoupRecipe));
            this.Recipes = new List<Recipe> { product };
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(CookingSkill), typeof(VegetableSoupRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(VegetableSoupRecipe), this.UILink(), 4, typeof(CookingSkill), typeof(CookingFocusedSpeedTalent), typeof(CookingParallelSpeedTalent));    
            this.Initialize(Localizer.DoStr("Vegetable Soup"), typeof(VegetableSoupRecipe));
            CraftingComponent.AddRecipe(typeof(CastIronStoveObject), this);
        }
    }
}

