﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Linq;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.EcopediaRoot;

    [Serialized]
    [LocDisplayName("Vegetable Stock")]
[MaxStackSize(1000)]
[Weight(1)]
    [Ecopedia("Food", "Ingredients", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class VegetableStockItem : FoodItem
    {
        public override LocString DisplayDescription            { get { return Localizer.DoStr("A hearty stock full of assorted vegetables."); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 11, Fat = 2, Protein = 1, Vitamins = 11};
        public override float Calories                          { get { return 700; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(CookingSkill), 1)]    
    public partial class VegetableStockRecipe :
        RecipeFamily
    {
        public VegetableStockRecipe()
        {
            var product = new Recipe(
                "VegetableStock",
                Localizer.DoStr("Vegetable Stock"),
                new IngredientElement[]
                {
            new IngredientElement(typeof(VegetableMedleyItem), 1, typeof(CookingSkill), typeof(CookingLavishResourcesTalent)),   
                },
                    new CraftingElement<VegetableStockItem>(1)  
                
            );
            this.Initialize(Localizer.DoStr("Vegetable Stock"), typeof(VegetableStockRecipe));
            this.Recipes = new List<Recipe> { product };
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(CookingSkill), typeof(VegetableStockRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(VegetableStockRecipe), this.UILink(), 8, typeof(CookingSkill), typeof(CookingFocusedSpeedTalent), typeof(CookingParallelSpeedTalent));    
            this.Initialize(Localizer.DoStr("Vegetable Stock"), typeof(VegetableStockRecipe));
            CraftingComponent.AddRecipe(typeof(CastIronStoveObject), this);
        }
    }
}

