﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Core.Items;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresSkill(typeof(ElectronicsSkill), 2)]      
    public partial class AdvancedCircuitRecipe :
        RecipeFamily
    {
        public AdvancedCircuitRecipe()
        {
            this.Initialize(Localizer.DoStr("Advanced Circuit"), typeof(AdvancedCircuitRecipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "AdvancedCircuit",
                    Localizer.DoStr("Advanced Circuit"),
                    new IngredientElement[]
                    {
                    new IngredientElement(typeof(CopperWiringItem), 4, typeof(ElectronicsSkill), typeof(ElectronicsLavishResourcesTalent)), 
                    new IngredientElement(typeof(GoldWiringItem), 4, typeof(ElectronicsSkill), typeof(ElectronicsLavishResourcesTalent)), 
                    new IngredientElement(typeof(GoldFlakesItem), 10, typeof(ElectronicsSkill), typeof(ElectronicsLavishResourcesTalent)), 
                    new IngredientElement(typeof(SubstrateItem), 2, typeof(ElectronicsSkill), typeof(ElectronicsLavishResourcesTalent)),    
                    },
                    new CraftingElement[]
                    {
                    new CraftingElement<AdvancedCircuitItem>(), 
                    }
                )
            };


            this.ExperienceOnCraft = 4;  

            this.LaborInCalories = CreateLaborInCaloriesValue(140, typeof(ElectronicsSkill), typeof(AdvancedCircuitRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(AdvancedCircuitRecipe), this.UILink(), 0.8f, typeof(ElectronicsSkill), typeof(ElectronicsFocusedSpeedTalent), typeof(ElectronicsParallelSpeedTalent));     
            this.Initialize(Localizer.DoStr("Advanced Circuit"), typeof(AdvancedCircuitRecipe));

            CraftingComponent.AddRecipe(typeof(ElectronicsAssemblyObject), this);
        }
    }

    [Serialized]
    [LocDisplayName("Advanced Circuit")]
[MaxStackSize(1000)]
[Weight(1)]
    [Currency] 
    [Ecopedia("Items", "Products", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                                                                           
    public partial class AdvancedCircuitItem :
    Item                                    
    {
        public override LocString DisplayDescription { get { return Localizer.DoStr("A complex electrical component used in advanced electronics."); } }
    }
}

