﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Core.Items;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresModule(typeof(ShaperObject))]        
    [RequiresSkill(typeof(MechanicsSkill), 1)]      
    public partial class BoilerRecipe :
        RecipeFamily
    {
        public BoilerRecipe()
        {
            this.Initialize(Localizer.DoStr("Boiler"), typeof(BoilerRecipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "Boiler",
                    Localizer.DoStr("Boiler"),
                    new IngredientElement[]
                    {
                    new IngredientElement(typeof(IronPlateItem), 15, typeof(MechanicsSkill), typeof(MechanicsLavishResourcesTalent)), 
                    new IngredientElement(typeof(ScrewsItem), 10, typeof(MechanicsSkill), typeof(MechanicsLavishResourcesTalent)),    
                    },
                    new CraftingElement[]
                    {
                    new CraftingElement<BoilerItem>(), 
                    }
                )
            };


            this.ExperienceOnCraft = 3;  

            this.LaborInCalories = CreateLaborInCaloriesValue(300, typeof(MechanicsSkill), typeof(BoilerRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(BoilerRecipe), this.UILink(), 2, typeof(MechanicsSkill), typeof(MechanicsFocusedSpeedTalent), typeof(MechanicsParallelSpeedTalent));     
            this.Initialize(Localizer.DoStr("Boiler"), typeof(BoilerRecipe));

            CraftingComponent.AddRecipe(typeof(MachinistTableObject), this);
        }
    }

    [Serialized]
    [LocDisplayName("Boiler")]
[MaxStackSize(1000)]
[Weight(1)]
    [Currency] 
    [Ecopedia("Items", "Products", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                                                                           
    public partial class BoilerItem :
    Item                                    
    {
        public override LocString DisplayDescription { get { return Localizer.DoStr("A vessel used for heating fluids."); } }
    }
}

