﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Core.Items;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresSkill(typeof(TailoringSkill), 1)]      
    public partial class CelluloseFiberRecipe :
        RecipeFamily
    {
        public CelluloseFiberRecipe()
        {
            this.Initialize(Localizer.DoStr("Cellulose Fiber"), typeof(CelluloseFiberRecipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "CelluloseFiber",
                    Localizer.DoStr("Cellulose Fiber"),
                    new IngredientElement[]
                    {
                    new IngredientElement("NaturalFiber", 20, typeof(TailoringSkill), typeof(TailoringLavishResourcesTalent)),    
                    },
                    new CraftingElement[]
                    {
                    new CraftingElement<CelluloseFiberItem>(), 
                    }
                )
            };


            this.ExperienceOnCraft = 1;  

            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(TailoringSkill), typeof(CelluloseFiberRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(CelluloseFiberRecipe), this.UILink(), 0.8f, typeof(TailoringSkill), typeof(TailoringFocusedSpeedTalent), typeof(TailoringParallelSpeedTalent));     
            this.Initialize(Localizer.DoStr("Cellulose Fiber"), typeof(CelluloseFiberRecipe));

            CraftingComponent.AddRecipe(typeof(TailoringTableObject), this);
        }
    }

    [Serialized]
    [LocDisplayName("Cellulose Fiber")]
[MaxStackSize(1000)]
[Weight(1)]
    [Currency] 
    [Ecopedia("Items", "Products", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                                                                           
    public partial class CelluloseFiberItem :
    Item                                    
    {
        public override LocString DisplayDescription { get { return Localizer.DoStr("Created by taking pulped plants and extruding them similarly to synthetic fibers."); } }
    }
}

