﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Core.Items;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresSkill(typeof(MasonrySkill), 4)]      
    public partial class CementRecipe :
        RecipeFamily
    {
        public CementRecipe()
        {
            this.Initialize(Localizer.DoStr("Cement"), typeof(CementRecipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "Cement",
                    Localizer.DoStr("Cement"),
                    new IngredientElement[]
                    {
                    new IngredientElement(typeof(CrushedLimestoneItem), 3, typeof(MasonrySkill), typeof(MasonryLavishResourcesTalent)), 
                    new IngredientElement(typeof(ClayItem), 1, typeof(MasonrySkill), typeof(MasonryLavishResourcesTalent)),    
                    },
                    new CraftingElement[]
                    {
                    new CraftingElement<CementItem>(2),  
                    }
                )
            };


            this.ExperienceOnCraft = 1;  

            this.LaborInCalories = CreateLaborInCaloriesValue(120, typeof(MasonrySkill), typeof(CementRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(CementRecipe), this.UILink(), 1.6f, typeof(MasonrySkill), typeof(MasonryFocusedSpeedTalent), typeof(MasonryParallelSpeedTalent));     
            this.Initialize(Localizer.DoStr("Cement"), typeof(CementRecipe));

            CraftingComponent.AddRecipe(typeof(CementKilnObject), this);
        }
    }

    [Serialized]
    [LocDisplayName("Cement")]
[MaxStackSize(1000)]
[Weight(1)]
    [Currency] 
    [Ecopedia("Items", "Products", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                                                                           
    public partial class CementItem :
    Item                                    
    {
        public override LocString DisplayNamePlural { get { return Localizer.DoStr("Cement"); } } 
        public override LocString DisplayDescription { get { return Localizer.DoStr("In order to be usable it needs to be reinforced."); } }
    }
}

