﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Core.Items;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresModule(typeof(MachinistTableObject))]        
    [RequiresSkill(typeof(MechanicsSkill), 1)]      
    public partial class IronAxleRecipe :
        RecipeFamily
    {
        public IronAxleRecipe()
        {
            this.Initialize(Localizer.DoStr("Iron Axle"), typeof(IronAxleRecipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "IronAxle",
                    Localizer.DoStr("Iron Axle"),
                    new IngredientElement[]
                    {
                    new IngredientElement(typeof(IronBarItem), 2, typeof(MechanicsSkill), typeof(MechanicsLavishResourcesTalent)),    
                    },
                    new CraftingElement[]
                    {
                    new CraftingElement<IronAxleItem>(), 
                    }
                )
            };


            this.ExperienceOnCraft = 1;  

            this.LaborInCalories = CreateLaborInCaloriesValue(120, typeof(MechanicsSkill), typeof(IronAxleRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(IronAxleRecipe), this.UILink(), 2, typeof(MechanicsSkill), typeof(MechanicsFocusedSpeedTalent), typeof(MechanicsParallelSpeedTalent));     
            this.Initialize(Localizer.DoStr("Iron Axle"), typeof(IronAxleRecipe));

            CraftingComponent.AddRecipe(typeof(LatheObject), this);
        }
    }

    [Serialized]
    [LocDisplayName("Iron Axle")]
[MaxStackSize(1000)]
[Weight(1)]
    [Currency] 
    [Ecopedia("Items", "Products", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                                                                           
    public partial class IronAxleItem :
    Item                                    
    {
        public override LocString DisplayDescription { get { return Localizer.DoStr("A rotating iron rod that can be fixed to wheels for use in vehicles."); } }
    }
}

