﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Core.Items;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresSkill(typeof(MechanicsSkill), 1)]      
    public partial class IronGearRecipe :
        RecipeFamily
    {
        public IronGearRecipe()
        {
            this.Initialize(Localizer.DoStr("Iron Gear"), typeof(IronGearRecipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "IronGear",
                    Localizer.DoStr("Iron Gear"),
                    new IngredientElement[]
                    {
                    new IngredientElement(typeof(IronBarItem), 1, typeof(MechanicsSkill), typeof(MechanicsLavishResourcesTalent)),    
                    },
                    new CraftingElement[]
                    {
                    new CraftingElement<IronGearItem>(), 
                    }
                )
            };


            this.ExperienceOnCraft = 1;  

            this.LaborInCalories = CreateLaborInCaloriesValue(120, typeof(MechanicsSkill), typeof(IronGearRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(IronGearRecipe), this.UILink(), 0.4f, typeof(MechanicsSkill), typeof(MechanicsFocusedSpeedTalent), typeof(MechanicsParallelSpeedTalent));     
            this.Initialize(Localizer.DoStr("Iron Gear"), typeof(IronGearRecipe));

            CraftingComponent.AddRecipe(typeof(ShaperObject), this);
        }
    }

    [Serialized]
    [LocDisplayName("Iron Gear")]
[MaxStackSize(1000)]
[Weight(1)]
    [Currency] 
    [Ecopedia("Items", "Products", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                                                                           
    [Tag("Gear", 1)]                                 
    public partial class IronGearItem :
    Item                                    
    {
        public override LocString DisplayDescription { get { return Localizer.DoStr("A toothed machine part that interlocks with others."); } }
    }
}

