﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Core.Items;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresModule(typeof(MachinistTableObject))]        
    [RequiresSkill(typeof(MechanicsSkill), 1)]      
    public partial class IronPlateRecipe :
        RecipeFamily
    {
        public IronPlateRecipe()
        {
            this.Initialize(Localizer.DoStr("Iron Plate"), typeof(IronPlateRecipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "IronPlate",
                    Localizer.DoStr("Iron Plate"),
                    new IngredientElement[]
                    {
                    new IngredientElement(typeof(IronBarItem), 1, typeof(MechanicsSkill), typeof(MechanicsLavishResourcesTalent)),    
                    },
                    new CraftingElement[]
                    {
                    new CraftingElement<IronPlateItem>(), 
                    }
                )
            };


            this.ExperienceOnCraft = 1;  

            this.LaborInCalories = CreateLaborInCaloriesValue(100, typeof(MechanicsSkill), typeof(IronPlateRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(IronPlateRecipe), this.UILink(), 2, typeof(MechanicsSkill), typeof(MechanicsFocusedSpeedTalent), typeof(MechanicsParallelSpeedTalent));     
            this.Initialize(Localizer.DoStr("Iron Plate"), typeof(IronPlateRecipe));

            CraftingComponent.AddRecipe(typeof(ScrewPressObject), this);
        }
    }

    [Serialized]
    [LocDisplayName("Iron Plate")]
[MaxStackSize(1000)]
[Weight(1)]
    [Currency] 
    [Ecopedia("Items", "Products", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                                                                           
    public partial class IronPlateItem :
    Item                                    
    {
        public override LocString DisplayDescription { get { return Localizer.DoStr("A solid iron plate for use in various crafting recipes."); } }
    }
}

