﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Core.Items;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresSkill(typeof(MiningSkill), 0)]      
    public partial class MetallurgyResearchPaperBasicRecipe :
        RecipeFamily
    {
        public MetallurgyResearchPaperBasicRecipe()
        {
            this.Initialize(Localizer.DoStr("Metallurgy Research Paper Basic"), typeof(MetallurgyResearchPaperBasicRecipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "MetallurgyResearchPaperBasic",
                    Localizer.DoStr("Metallurgy Research Paper Basic"),
                    new IngredientElement[]
                    {
                    new IngredientElement("Ore", 10, typeof(MiningSkill)),    
                    },
                    new CraftingElement[]
                    {
                    new CraftingElement<MetallurgyResearchPaperBasicItem>(), 
                    }
                )
            };


            this.ExperienceOnCraft = 2;  

            this.LaborInCalories = CreateLaborInCaloriesValue(50, typeof(MiningSkill), typeof(MetallurgyResearchPaperBasicRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(1);
            this.Initialize(Localizer.DoStr("Metallurgy Research Paper Basic"), typeof(MetallurgyResearchPaperBasicRecipe));

            CraftingComponent.AddRecipe(typeof(ResearchTableObject), this);
        }
    }

    [Serialized]
    [LocDisplayName("Metallurgy Research Paper Basic")]
[MaxStackSize(1000)]
[Weight(1)]
    [Ecopedia("Items", "Research Papers", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                                                                           
    [Tag("Basic Research", 1)]
    [Tag("Research", 1)]                                 
    public partial class MetallurgyResearchPaperBasicItem :
    Item                                    
    {
        public override LocString DisplayDescription { get { return Localizer.DoStr("A document containing important research information. Used to discover new skills at the research table."); } }
    }
}

