﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Core.Items;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresSkill(typeof(PaperMillingSkill), 0)]      
    public partial class PaperRecipe :
        RecipeFamily
    {
        public PaperRecipe()
        {
            this.Initialize(Localizer.DoStr("Paper"), typeof(PaperRecipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "Paper",
                    Localizer.DoStr("Paper"),
                    new IngredientElement[]
                    {
                    new IngredientElement(typeof(CelluloseFiberItem), 1, typeof(PaperMillingSkill), typeof(PaperMillingLavishResourcesTalent)),    
                    },
                    new CraftingElement[]
                    {
                    new CraftingElement<PaperItem>(), 
                    }
                )
            };


            this.ExperienceOnCraft = 1;  

            this.LaborInCalories = CreateLaborInCaloriesValue(35, typeof(PaperMillingSkill), typeof(PaperRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(PaperRecipe), this.UILink(), 0.1f, typeof(PaperMillingSkill), typeof(PaperMillingFocusedSpeedTalent), typeof(PaperMillingParallelSpeedTalent));     
            this.Initialize(Localizer.DoStr("Paper"), typeof(PaperRecipe));

            CraftingComponent.AddRecipe(typeof(CarpentryTableObject), this);
        }
    }

    [Serialized]
    [LocDisplayName("Paper")]
[MaxStackSize(1000)]
[Weight(1)]
    [Fuel(100)][Tag("Fuel")]          
    [Currency] 
    [Ecopedia("Items", "Products", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                                                                           
    [Tag("Burnable Fuel", 1)]                                 
    public partial class PaperItem :
    Item                                    
    {
        public override LocString DisplayDescription { get { return Localizer.DoStr("It's paper."); } }
    }
}

