﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Core.Items;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresSkill(typeof(MechanicsSkill), 1)]      
    public partial class PortableSteamEngineRecipe :
        RecipeFamily
    {
        public PortableSteamEngineRecipe()
        {
            this.Initialize(Localizer.DoStr("Portable Steam Engine"), typeof(PortableSteamEngineRecipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "PortableSteamEngine",
                    Localizer.DoStr("Portable Steam Engine"),
                    new IngredientElement[]
                    {
                    new IngredientElement(typeof(PistonItem), 8, typeof(MechanicsSkill), typeof(MechanicsLavishResourcesTalent)), 
                    new IngredientElement(typeof(ScrewsItem), 18, typeof(MechanicsSkill), typeof(MechanicsLavishResourcesTalent)), 
                    new IngredientElement(typeof(IronPlateItem), 12, typeof(MechanicsSkill), typeof(MechanicsLavishResourcesTalent)), 
                    new IngredientElement(typeof(BoilerItem), 3, typeof(MechanicsSkill), typeof(MechanicsLavishResourcesTalent)), 
                    new IngredientElement(typeof(IronGearItem), 12, typeof(MechanicsSkill), typeof(MechanicsLavishResourcesTalent)),    
                    },
                    new CraftingElement[]
                    {
                    new CraftingElement<PortableSteamEngineItem>(), 
                    }
                )
            };


            this.ExperienceOnCraft = 10;  

            this.LaborInCalories = CreateLaborInCaloriesValue(2000, typeof(MechanicsSkill), typeof(PortableSteamEngineRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(PortableSteamEngineRecipe), this.UILink(), 8, typeof(MechanicsSkill), typeof(MechanicsFocusedSpeedTalent), typeof(MechanicsParallelSpeedTalent));     
            this.Initialize(Localizer.DoStr("Portable Steam Engine"), typeof(PortableSteamEngineRecipe));

            CraftingComponent.AddRecipe(typeof(MachinistTableObject), this);
        }
    }

    [Serialized]
    [LocDisplayName("Portable Steam Engine")]
[MaxStackSize(1000)]
[Weight(1)]
    [Ecopedia("Items", "Products", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                                                                           
    public partial class PortableSteamEngineItem :
    Item                                    
    {
        public override LocString DisplayDescription { get { return Localizer.DoStr("An engine that generates mechanical power through steam."); } }
    }
}

