﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Core.Items;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    public partial class TorchRecipe :
        RecipeFamily
    {
        public TorchRecipe()
        {
            this.Initialize(Localizer.DoStr("Torch"), typeof(TorchRecipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "Torch",
                    Localizer.DoStr("Torch"),
                    new IngredientElement[]
                    {
                    new IngredientElement("Wood", 2),   
                    },
                    new CraftingElement[]
                    {
                    new CraftingElement<TorchItem>(), 
                    }
                )
            };



            this.LaborInCalories = CreateLaborInCaloriesValue(50); 
            this.CraftMinutes = CreateCraftTimeValue(0.5f);
            this.Initialize(Localizer.DoStr("Torch"), typeof(TorchRecipe));

            CraftingComponent.AddRecipe(typeof(WorkbenchObject), this);
        }
    }

    [Serialized]
    [LocDisplayName("Torch")]
[MaxStackSize(1000)]
[Weight(1)]
    [Fuel(1000)][Tag("Fuel")]          
    [Ecopedia("Items", "Tools", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                                                                           
    [Tag("Torch", 1)]                                 
    public partial class TorchItem :
    ToolItem                        
    {
        public override LocString DisplayDescription { get { return Localizer.DoStr("A little bit of light to help beat back the night."); } }
    }
}

