﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System.Collections.Generic;
    using Eco.Gameplay.Blocks;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Items.SearchAndSelect;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Gameplay.Players;
    using System.ComponentModel;

    [Serialized]
    [LocDisplayName("Bolete Mushroom Spores")]
[MaxStackSize(1000)]
[Weight(1)]
    [StartsDiscovered]
    [Tag("Crop Seed", 1)]                                 
    public partial class BoleteMushroomSporesItem : SeedItem
    {
        static BoleteMushroomSporesItem() { }
        
        private static Nutrients nutrition = new Nutrients() { Carbs = 0, Fat = 0, Protein = 0, Vitamins = 0 };

        public override LocString DisplayDescription { get { return Localizer.DoStr("Plant to grow bolete mushrooms."); } }
        public override LocString SpeciesName        { get { return Localizer.DoStr("BoleteMushroom"); } }

        public override float Calories { get { return 0; } }
        public override Nutrients Nutrition { get { return nutrition; } }
    }


    [Serialized]
    [LocDisplayName("Bolete Mushroom Spores Pack")]
    [Category("Hidden")]
[MaxStackSize(1000)]
[Weight(1)]
    public partial class BoleteMushroomSporesPackItem : SeedPackItem
    {
        static BoleteMushroomSporesPackItem() { }

        public override LocString DisplayDescription { get { return Localizer.DoStr("Plant to grow bolete mushrooms."); } }
        public override LocString SpeciesName        { get { return Localizer.DoStr("BoleteMushroom"); } }
    }

    [RequiresSkill(typeof(FarmingSkill), 1)]    
    public class BoleteMushroomSporesRecipe : RecipeFamily
    {
        public BoleteMushroomSporesRecipe()
        {
            this.Initialize(Localizer.DoStr("Bolete Mushroom Spores"), typeof(BoleteMushroomSporesRecipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "BoleteMushroomSpores",
                    Localizer.DoStr("Bolete Mushroom Spores"),
                    new IngredientElement[]
                    {
               new IngredientElement(typeof(BoleteMushroomsItem), 1, typeof(FarmingSkill), typeof(FarmingLavishResourcesTalent)),   
                    },
                new CraftingElement<BoleteMushroomSporesItem>()
                )
            };
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(FarmingSkill), typeof(BoleteMushroomSporesRecipe), this.UILink()); 
            this.CraftMinutes = CreateCraftTimeValue(typeof(BoleteMushroomSporesRecipe), this.UILink(), 1, typeof(FarmingSkill), typeof(FarmingFocusedSpeedTalent), typeof(FarmingParallelSpeedTalent));    

            this.Initialize(Localizer.DoStr("Bolete Mushroom Spores"), typeof(BoleteMushroomSporesRecipe));
            CraftingComponent.AddRecipe(typeof(FarmersTableObject), this);
        }
    }
}

