﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.

using Eco.Core.Items;
using Eco.Gameplay.Items;
using Eco.Mods.TechTree;
using Eco.Shared.Localization;
using Eco.Shared.Serialization;

[Serialized]
[LocDisplayName("Garbage")]
[MaxStackSize(1000)]
[Weight(1)]
[RequiresTool(typeof(ShovelItem))]
[Ecopedia("Blocks", "Byproducts", true, InPageTooltip.DynamicTooltip)]
public partial class GarbageItem : BlockItem<GarbageBlock>
{
    public override LocString DisplayNamePlural { get { return Localizer.DoStr("Garbage"); } }
    public override LocString DisplayDescription { get { return Localizer.DoStr("A disgusting pile of garbage. Unpleasant to the eye and a source of ground pollution. Bury underground to help mitigate the effect."); } }
    public override bool CanStickToWalls { get { return false; } }
}
[Serialized]
public partial class TrashItem : Item { }
[Serialized]
public partial class CompostablesItem : Item { }

